"""
PyPi Setup file.
"""
# pylint: disable=no-name-in-module, import-error
import sys
import os
from setuptools import setup, find_packages
sys.path.insert(0, os.path.dirname(__file__))
from django_cenvars import __info__

AUTHOR = 'Martin P. Hellwig'
AUTHOR_EMAIL = 'martin.hellwig@gmail.com'

NAME = __info__.LABELS['package_name']
DESCRIPTION = __info__.LABELS['verbose_name']
VERSION = '.'.join(str(number) for number in __info__.VERSION)

URL_MAIN = "https://bitbucket.org/hellwig/" + NAME + '/'
URL_DOWNLOAD = URL_MAIN + 'download/' + VERSION + '.zip'


KEYWORDS = [
    'django',
    'django-integrator'
    ]

CLASSIFIERS = [
    'Programming Language :: Python :: 3',
    ]

REQUIREMENTS = [
    'Django',
    'django-integrator',
    'pyaes',
    'rsa',
    'django-memdb',
    ]

LICENSE = 'BSD'

################################################################################

KWARGS = {
    'name':NAME, 'packages':find_packages(), 'version':VERSION,
    'description':DESCRIPTION, 'author':AUTHOR, 'author_email':AUTHOR_EMAIL,
    'url':URL_MAIN, 'download_url':URL_DOWNLOAD, 'keywords':KEYWORDS,
    'license':LICENSE, 'classifiers':CLASSIFIERS,
    'install_requires':REQUIREMENTS}

setup(**KWARGS)
